%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Tree-DAG_Node
Version:       1.32
Release:       1mamba
Summary:       Tree::DAG_Node - A (super)class for representing nodes in a tree
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/authors/id/R/RS/RSAVAGE/Tree-DAG_Node-%{version}.tgz
License:       Artistic License
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-File-Slurp-Tiny
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-devel >= %perl_major_ver
Requires:      perl >= %perl_major_ver

%description
Tree::DAG_Node is a (super)class for representing nodes in a tree.

%prep
%setup -q -n Tree-DAG_Node-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Jan 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.32-1mamba
- update to 1.32

* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.06-2mamba
- perl 5.16 mass rebuild

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.06-1mamba
- update to 1.06

* Fri Nov 09 2007 Aleph0 <aleph0@openmamba.org> 1.05-1mamba
- package created by autospec
